Bug 125875 - UI: in the dlg Insert Hyperlink it is impossible to select the target (Internet/Mail/Document..) by keyboard
Summary: UI: in the dlg Insert Hyperlink it is impossible to select the target (Intern...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.4.0 target:6.2.5 target:6.3.0.1
Keywords: accessibility, bibisected, bisected, regression
Depends on:
Blocks: Hyperlink-Dialog
  Show dependency treegraph
 
Reported: 2019-06-12 08:58 UTC by Cor Nouws
Modified: 2019-06-25 15:41 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
screen print of part of dialog Hyperlink (28.47 KB, image/png)
2019-06-12 08:58 UTC, Cor Nouws
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2019-06-12 08:58:53 UTC
Created attachment 152125 [details]
screen print of part of dialog Hyperlink

Ctrl+K
Try to Tab or whatever to side pane Target to select Internet/Mail/Document/..
  > impossible

Version: 6.3.0.0.alpha1+
Build ID: 77ae0abe21f672cf4b7d2e069f1d40d20edc49a7
CPU threads: 4; OS: Linux 5.0; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-05-31_15:33:33
Locale: nl-NL (nl_NL.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Cor Nouws 2019-06-12 08:59:26 UTC
was OK in e.g. 5.1.6 > regression
Comment 2 Julien Nabet 2019-06-12 10:03:08 UTC
On Win10 with master sources updated today, I don't reproduce this.
Perhaps Linux only.
Comment 3 Xisco Faulí 2019-06-13 12:09:07 UTC
Regression introduced by:

author	Caolán McNamara <caolanm@redhat.com>	2018-04-29 21:15:22 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-04-30 11:41:54 +0200
commit	3014e5f362c77c546452d45fcde96fcbae27235e (patch)
tree	afbefbd2f10bbf971dd52ea0732031ee009c3d30
parent	5e71673ae0bbd4c0c1b32a1269155b4cd2cb5f45 (diff)
hook up can-focus to ability to tab into the widget

Bisected with: bibisect-linux64-6.1

Adding Cc: to Caolán McNamara
Comment 4 Commit Notification 2019-06-14 14:33:03 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/5128f7bf6c2304d07d6b1829977b619d29c1a46a%5E%21

Resolves: tdf#125875 allow keyboard traversal into icon control

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Caolán McNamara 2019-06-14 14:45:48 UTC
fixed in master, backports to 6-3 and 6-2 in gerrit
Comment 6 Commit Notification 2019-06-14 14:57:47 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/85089547c0fa6a8e9f9073f89e1b1abf0f43550f%5E%21

Resolves: tdf#125875 allow keyboard traversal into icon control

It will be available in 6.2.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-06-14 15:24:12 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/acb0466ed6e8548e323d73adeeb4bd5b6224f3a9%5E%21

Resolves: tdf#125875 allow keyboard traversal into icon control

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2019-06-25 15:41:22 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: 52800731baf9fcb88e54d60de5585640c8f97f7b
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!